---
title: Who can apply?
---

We built DocSearch from the ground up with the idea of improving search on large technical documentations. For this reason, we are offering a free hosting version to all online technical documentations of open-source projects and technical blogs.

We're always sad to have to turn down applications, but with the number of requests we receive every day, we've had to focus on fair criteria. We hope you understand.

## The checklist

To have your request validated, we'll ask that you check all the following points.

- You must be the **owner** of the website, or at least have the permissions to update its content. You'll need to [include a JavaScript snippet][1] to your frontend to implement DocSearch.

- Your website must be **publicly available**. We do not host search indices for websites that are only available after authentication or are hosted on a private network.

- Your website must be a **technical documentation of an open source project or a technical blog**. We do not index commercial content.

- Your website must be **production ready**. We won't index empty websites nor those filled with placeholder content. Please, wait until you have written some documentation before applying. We would be happy to help you as soon as you have a steady design.

If in doubt, don't hesitate to [apply][2] and we'll figure it out together.

Even if we cannot accept your request, this does not mean that you cannot enjoy great search on your website. Legacy DocSearch is entirely open source and [you can run it yourself][3], or use any of [our other API clients][4] to take advantage of Algolia's features.

## Priority

We're receiving dozens of requests every day, and while we strive to answer them all as fast as we can, we sometimes give priority to some based on the following criteria:

- 🙂 If you're using one of our [official integrations][5], creating your config will be much faster for us.

- 🙁 If we need to render your website in the browser through JavaScript, it means that we'll have to crawl it through a much slower browser emulation. We highly recommend that you put in place server-side rendering for the useful textual content.

[1]: /docs/DocSearch-v3
[2]: /apply
[3]: /docs/legacy/run-your-own
[4]: https://www.algolia.com/doc/api-client/getting-started/install/javascript/?client=javascript
[5]: integrations.md
